> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Return

> Get the required, optional, and integration specific fields by calling the [integrations](/api-reference/mgmt/integrations) endpoint.



## OpenAPI

````yaml post /wms/returns
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /wms/returns:
    post:
      tags:
        - wms
        - Returns
      summary: Create Return
      description: >-
        Get the required, optional, and integration specific fields by calling
        the [integrations](/api-reference/mgmt/integrations) endpoint.
      operationId: post_wms_create_return
      parameters:
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatewmsReturnInputSchema'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/wmsCreateReturnResponse'
          description: Successful response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    CreatewmsReturnInputSchema:
      type: object
      properties: {}
      additionalProperties: false
      oneOf:
        - $ref: '#/components/schemas/CreateReturnSchema--Base__Schema--'
        - $ref: '#/components/schemas/CreatewmsReturn--Bleckmann--'
        - $ref: >-
            #/components/schemas/CreatewmsReturn--BlueBox__-_IDrive__Fulfillment_---
        - $ref: '#/components/schemas/CreatewmsReturn--Cirro--'
        - $ref: '#/components/schemas/CreatewmsReturn--DCL--'
        - $ref: '#/components/schemas/CreatewmsReturn--Deposco--'
        - $ref: '#/components/schemas/CreatewmsReturn--Extensiv__-_3PL__Central_---'
        - $ref: '#/components/schemas/CreatewmsReturn--Flexport__-_Deliverr_---'
        - $ref: '#/components/schemas/CreatewmsReturn--I-Fulfilment--'
        - $ref: '#/components/schemas/CreatewmsReturn--Infoplus--'
        - $ref: '#/components/schemas/CreatewmsReturn--Cart.com__-_Jazz__Central_---'
        - $ref: '#/components/schemas/CreatewmsReturn--Linnworks--'
        - $ref: '#/components/schemas/CreatewmsReturn--Logiwa--'
        - $ref: '#/components/schemas/CreatewmsReturn--Logiwa__IO--'
        - $ref: '#/components/schemas/CreatewmsReturn--MasonHub--'
        - $ref: '#/components/schemas/CreatewmsReturn--Mintsoft--'
        - $ref: '#/components/schemas/CreatewmsReturn--Nimble--'
        - $ref: '#/components/schemas/CreatewmsReturn--NRI--'
        - $ref: '#/components/schemas/CreatewmsReturn--Ongoing__WMS--'
        - $ref: '#/components/schemas/CreatewmsReturn--Quiet__Platforms--'
        - $ref: '#/components/schemas/CreatewmsReturn--WMS__Sandbox--'
        - $ref: '#/components/schemas/CreatewmsReturn--ShipBob--'
        - $ref: '#/components/schemas/CreatewmsReturn--Shipedge--'
        - $ref: '#/components/schemas/CreatewmsReturn--ShipHero--'
        - $ref: '#/components/schemas/CreatewmsReturn--ShipMonk--'
        - $ref: '#/components/schemas/CreatewmsReturn--Shippingbo--'
        - $ref: '#/components/schemas/CreatewmsReturn--ShipStream--'
        - $ref: '#/components/schemas/CreatewmsReturn--Shipwire--'
        - $ref: '#/components/schemas/CreatewmsReturn--Smart__Warehousing--'
        - $ref: '#/components/schemas/CreatewmsReturn--Stord--'
        - $ref: '#/components/schemas/CreatewmsReturn--Whiplash__-_Ryder_---'
      title: CreatewmsReturnInputSchema
    wmsCreateReturnResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/CreateReturnResponseDataSchema'
        id:
          type: string
          description: The ID of the object that has been created or modified
          example: id
        unused_fields:
          type: array
          description: Unused fields
          items:
            type: string
            description: ''
      required:
        - id
        - unused_fields
      additionalProperties: false
      title: wmsCreateReturnResponse
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    CreateReturnSchema--Base__Schema--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            The ID of the warehouse receiving the return. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse
        order_id:
          type: string
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: sku
              expected_quantity: 1
          items:
            $ref: '#/components/schemas/CreateWmsReturnLineItemSchema'
      additionalProperties: false
      title: Base Schema
    CreatewmsReturn--Bleckmann--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        order_id:
          type: string
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItembleckmann'
        tracking_number:
          type: string
          description: The tracking number for the return.
      required:
        - line_items
      additionalProperties: false
      title: Bleckmann
    CreatewmsReturn--BlueBox__-_IDrive__Fulfillment_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        order_number:
          type: string
          description: The customer order number associated with the return.
        reference_id:
          type: string
          description: The external ID of the return.
        tracking_number:
          type: string
          description: The tracking number of the return.
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
              return_reason: null
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItembluebox'
        warehouse_id:
          type: string
          description: >-
            The ID of the warehouse receiving the return. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse
        external_source:
          type: string
          description: The external source of the return.
          example: external_source
      required:
        - line_items
        - order_number
        - reference_id
        - tracking_number
      additionalProperties: false
      title: BlueBox (IDrive Fulfillment)
    CreatewmsReturn--Cirro--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            The ID of the warehouse receiving the return. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse
        carrier_id:
          type: string
          description: >-
            The carrier to use for the return shipment. One of carrier_id or
            carrier_name is required. Will take precedence over carrier_name if
            provided.
          example: UPS
        carrier_name:
          type: string
          description: The carrier to use for the return shipment
          example: UPS
        tracking_number:
          type: string
          description: The tracking number for the return shipment
          example: 1Z12345E0205271688
        reference_number:
          type: string
          description: The reference number for the return shipment
          example: '1234567890'
        ship_to_address:
          $ref: '#/components/schemas/ReturnShipToAddressCirro'
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              platform_name: SHOPIFY
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemcirro'
        return_reason:
          type: string
          description: The reason for the return. Damaged, Defective, Incorrect Item, etc.
        order_id:
          type: string
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
      required:
        - line_items
        - order_id
        - ship_to_address
        - tracking_number
        - warehouse_id
      additionalProperties: false
      title: Cirro
    CreatewmsReturn--DCL--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressDcl'
        carrier_id:
          type: string
          description: The carrier used to ship the return.
          example: UPS
        shipping_method:
          type: string
          description: The method used to ship the return.
          example: GROUND
        warehouse_id:
          type: string
          enum:
            - FR
            - LA
            - LN
            - KY
            - YK
            - EX
            - EU
          description: >-
            The ID of the warehouse receiving the return. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemdcl'
        order_id:
          type: string
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
        return_type:
          type: string
          enum:
            - '1: Replace Upon Receipt.'
            - '2: Replace Now - No Return.'
            - '3: Replace Now - With Return.'
            - '11: Refund Upon Receipt.'
            - '12: Refund Now - No Return.'
            - '13: Refund Now - With Return.'
            - '21: Gift Voucher Upon Receipt.'
            - '22: Gift Voucher Now - No Return.'
            - '23: Gift Voucher Now - With Return.'
            - '24: Gift Card Upon Receipt.'
            - '25: Gift Card Now - No Return.'
            - '26: Gift Card Now - With Return.'
            - '31: Upgrade Upon Receipt.'
            - '32: Upgrade Now - No Return.'
            - '33: Upgrade Now - With Return.'
            - '81: Return For Repair.'
            - '82: Not For DCL.'
            - '99: Review.'
          description: ''
        disposition:
          type: string
          enum:
            - '1: Await Decision.'
            - '2: Return To Stock.'
            - '3: Scrap.'
            - '5: Rework.'
            - '10: Test.'
            - '18: Return To Vendor.'
          description: ''
      required:
        - disposition
        - line_items
        - return_type
        - ship_to_address
        - warehouse_id
      additionalProperties: false
      title: DCL
    CreatewmsReturn--Deposco--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            The ID of the warehouse receiving the return. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse
        ship_to_address:
          $ref: '#/components/schemas/ReturnShipToAddressDeposco'
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              inventory_item_id: null
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemdeposco'
        order_id:
          type: string
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
        number:
          type: string
          description: >-
            An optional return number to use for the return. If not provided, a
            unique number will be generated.
          example: RMA123
        return_reason:
          type: string
          description: >-
            The reason for the return. RTS, Partial Customer Return, Full
            Customer Return
        customer_order_number:
          type: string
          description: The customer order number in Deposco
          example: PF#
        tracking_number:
          type: string
          description: The tracking number of the return
          example: '9434636106023310081309'
      required:
        - line_items
      additionalProperties: false
      title: Deposco
    CreatewmsReturn--Extensiv__-_3PL__Central_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            The ID of the warehouse receiving the return. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse
        reference_number:
          type: string
          description: Reference Number
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemextensiv-3pl-central'
        tracking_number:
          type: string
          description: Tracking Number
      required:
        - line_items
        - reference_number
        - warehouse_id
      additionalProperties: false
      title: Extensiv (3PL Central)
    CreatewmsReturn--Flexport__-_Deliverr_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        rma:
          type: string
          description: The RMA of the return, typically generated by the merchant.
          example: rma
        reference_id:
          type: string
          description: The unique reference ID of the return.
          example: return_reference_id
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemflexport'
        ship_from_address:
          $ref: '#/components/schemas/ReturnAddressFlexport'
      required:
        - line_items
        - reference_id
        - rma
        - ship_from_address
      additionalProperties: false
      title: Flexport (Deliverr)
    CreatewmsReturn--I-Fulfilment--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        reference_id:
          type: string
          description: The order reference.
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
              quantity: 0
              action: null
              return_reason: null
              description: null
          items:
            $ref: '#/components/schemas/WmsReturnCreateLineItemi-fulfilment'
      required:
        - line_items
        - reference_id
      additionalProperties: false
      title: I-Fulfilment
    CreatewmsReturn--Infoplus--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the return. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details. Used for 3PL accounts.
          example: warehouse_customer_id
        warehouse_id:
          type: string
          description: >-
            The ID of the warehouse receiving the return. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse
        supplier_object:
          $ref: '#/components/schemas/WriteSupplierSchema'
          description: The supplier from which the shipment is being sent.
        return_type:
          type: string
          enum:
            - Job
            - Kit
            - Normal
            - Transfer
            - Blind
          description: Type of return
        order_id:
          type: string
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineIteminfoplus'
      required:
        - line_items
        - order_id
        - return_type
        - supplier_object
        - warehouse_id
      additionalProperties: false
      title: Infoplus
    CreatewmsReturn--Cart.com__-_Jazz__Central_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        order_id:
          type: string
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
              return_reason: null
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemjazz-central'
      required:
        - line_items
        - order_id
      additionalProperties: false
      title: Cart.com (Jazz Central)
    CreatewmsReturn--Linnworks--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
              return_reason: null
              exchange_items:
                - sku: sku123
                  quantity: 1
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemlinnworks'
        order_id:
          type: string
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
      required:
        - line_items
        - order_id
      additionalProperties: false
      title: Linnworks
    CreatewmsReturn--Logiwa--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            The ID of the warehouse receiving the return. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemlogiwa'
        order_id:
          type: string
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
      required:
        - line_items
        - warehouse_id
      additionalProperties: false
      title: Logiwa
    CreatewmsReturn--Logiwa__IO--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        order_id:
          type: string
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
        warehouse_id:
          type: string
          description: >-
            The ID of the warehouse receiving the return. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse
        rma_number:
          type: string
          description: >-
            An optional RMA number. If not provided, a random one will be
            generated.
          example: rma_number
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemlogiwa-io'
        tracking_number:
          type: string
          description: The tracking number of the return.
          example: tracking_number
      required:
        - line_items
        - order_id
      additionalProperties: false
      title: Logiwa IO
    CreatewmsReturn--MasonHub--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        return_type:
          type: string
          enum:
            - returned_to_sender
            - rma_submitted_by_customer
            - rma_created_by_distribution_center
          description: The type of return.
        ship_from_address:
          $ref: '#/components/schemas/ShipFromAddressMasonhub'
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
              return_reason: null
              return_inventory_status: null
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemmasonhub'
        order_id:
          type: string
          description: The ID of the original order.
      required:
        - line_items
        - return_type
        - ship_from_address
      additionalProperties: false
      title: MasonHub
    CreatewmsReturn--Mintsoft--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        order_id:
          type: string
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
              return_reason: Faulty or Damaged
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemmintsoft'
      required:
        - line_items
        - order_id
      additionalProperties: false
      title: Mintsoft
    CreatewmsReturn--Nimble--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemnimble'
        warehouse_id:
          type: string
          enum:
            - N/A - Connect an account to see options
          description: >-
            The ID of the warehouse receiving the return. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse
        destination_location_name:
          type: string
          description: Destination location name
          example: Warehouse
        supplier_first_name:
          type: string
          description: Supplier first name
          example: John
        supplier_last_name:
          type: string
          description: Supplier last name
          example: Doe
        tracking_number:
          type: string
          description: Tracking number
          example: '123456789'
        shopify_order_name:
          type: string
          description: Shopify order name
          example: '#1234'
        return_platform_name:
          type: string
          enum:
            - NIMBLE
            - LOOP
            - HAPPY_RETURNS
            - REDO
          description: Return platform name
        return_platform_id:
          type: string
          description: Return platform ID
        loop_status:
          type: string
          enum:
            - OPEN
            - CLOSED
            - CANCELLED
            - EXPIRED
            - REVIEW
          description: Loop status
        loop_return_id:
          type: string
          description: Loop return ID
          example: '123456'
        return_reason:
          type: string
          description: Return reason
          example: Defective item
        carrier_id:
          type: string
          description: Shipping carrier
          example: UPS
        shipping_method_id:
          type: string
          description: Shipping service
          example: Ground
      required:
        - line_items
        - return_reason
        - warehouse_id
      additionalProperties: false
      title: Nimble
    CreatewmsReturn--NRI--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        id:
          type: string
          description: >-
            The return authorization number. Used as the primary reference ID
            for the return.
        warehouse_id:
          type: string
          description: >-
            The ID of the warehouse receiving the return. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse
        client_reference_number_2:
          type: string
          description: Optional secondary reference number for the return.
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
              return_reason: null
              ra_line_action_code: null
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemnri'
      required:
        - id
        - line_items
      additionalProperties: false
      title: NRI
    CreatewmsReturn--Ongoing__WMS--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        return_number:
          type: string
          description: Return number
        order_id:
          type: string
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
        warehouse_id:
          type: string
          description: >-
            The ID of the warehouse receiving the return. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
              return_cause: null
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemongoing'
        tracking_number:
          type: string
          description: ''
        tracking_url:
          type: string
          description: ''
      required:
        - line_items
        - order_id
        - return_number
      additionalProperties: false
      title: Ongoing WMS
    CreatewmsReturn--Quiet__Platforms--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            The ID of the warehouse receiving the return. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse
        return_number:
          type: string
          description: Client assigned RMA number
        order_id:
          type: string
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
              return_reason: null
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemquiet'
        tracking_number:
          type: string
          description: ''
      required:
        - line_items
        - order_id
        - return_number
        - warehouse_id
      additionalProperties: false
      title: Quiet Platforms
    CreatewmsReturn--WMS__Sandbox--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          enum:
            - N/A - Connect an account to see options
          description: >-
            The ID of the warehouse receiving the return. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse
        order_id:
          type: string
          enum:
            - N/A - Connect an account to see options
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: XS-RED-SHIRT
              expected_quantity: 1
              return_reason: damaged
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemsandbox'
      required:
        - line_items
        - order_id
        - warehouse_id
      additionalProperties: false
      title: WMS Sandbox
    CreatewmsReturn--ShipBob--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            The ID of the warehouse receiving the return. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse
        reference_id:
          type: string
          description: External unique identifier for the return order.
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - inventory_item_id: null
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemshipbob'
        tracking_number:
          type: string
          description: Tracking number of the return.
        order_id:
          type: string
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
      required:
        - line_items
        - reference_id
        - warehouse_id
      additionalProperties: false
      title: ShipBob
    CreatewmsReturn--Shipedge--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        order_id:
          type: string
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemshipedge'
      required:
        - line_items
        - order_id
      additionalProperties: false
      title: Shipedge
    CreatewmsReturn--ShipHero--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            The ID of the warehouse receiving the return. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse
        return_reason:
          type: string
          description: Reason for return.
        order_id:
          type: string
          description: Order associated with this return.
        label_type:
          type: string
          enum:
            - FREE
            - PAID
            - SELF_RETURN
            - FLAT_RATE
          description: Return label type.
        shipping_method:
          type: string
          description: The shipping_method used to return the item.
        carrier_id:
          type: string
          description: The carrier used to return the item.
        label_cost:
          type: number
          description: Cost of the return label.
          example: 0
        ship_from_address:
          $ref: '#/components/schemas/FromAddressShiphero'
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
              return_reason: null
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemshiphero'
        measurements:
          $ref: '#/components/schemas/Dimensions'
        tracking_number:
          type: string
          description: ''
      required:
        - carrier_id
        - label_cost
        - label_type
        - line_items
        - measurements
        - order_id
        - return_reason
        - ship_from_address
        - shipping_method
        - warehouse_id
      additionalProperties: false
      title: ShipHero
    CreatewmsReturn--ShipMonk--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        order_id:
          type: string
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
        warehouse_id:
          type: string
          description: >-
            The ID of the warehouse receiving the return. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse
        return_reason:
          type: string
          enum:
            - reason_exchange
            - reason_changed_mind
            - reason_undeliverable
            - reason_unknown
            - reason_incorrect_product
          description: Reason for the return.
        tracking_number:
          type: string
          description: The tracking number for the return.
          example: '123456789'
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
              desired_action: null
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemshipmonk'
      required:
        - line_items
        - order_id
        - return_reason
        - warehouse_id
      additionalProperties: false
      title: ShipMonk
    CreatewmsReturn--Shippingbo--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        order_id:
          type: string
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemshippingbo'
      required:
        - line_items
        - order_id
      additionalProperties: false
      title: Shippingbo
    CreatewmsReturn--ShipStream--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            The ID of the warehouse receiving the return. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemshipstream'
        carrier_id:
          type: string
          description: Carrier ID. Will take precedence over carrier_name if passed.
        carrier_name:
          type: string
          description: Carrier name.
        carrier_tracking_number:
          type: string
          description: Carrier tracking number
        customer_name:
          type: string
          description: Customer name
        merchant_order_number:
          type: string
          description: Merchant order number
        tracking_numbers:
          type: array
          description: List of tracking numbers
          items:
            type: string
            description: ''
        merchant_rma_number:
          type: integer
          description: Merchant RMA number
          example: 0
        expected_arrival_date:
          type: string
          format: date
          description: Expected arrival date
        notes:
          type: string
          description: Notes
      required:
        - line_items
        - warehouse_id
      additionalProperties: false
      title: ShipStream
    CreatewmsReturn--Shipwire--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        order_id:
          type: string
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
        warehouse_id:
          type: string
          description: >-
            The ID of the warehouse receiving the return. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemshipwire'
      required:
        - line_items
        - order_id
        - warehouse_id
      additionalProperties: false
      title: Shipwire
    CreatewmsReturn--Smart__Warehousing--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        reference_id:
          type: string
          description: Customer defined reference associated with the receipt.
          example: reference_id
        expected_arrival_date:
          type: string
          format: date-time
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10T01:02:03Z'
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: sku
              expected_quantity: 0
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemsmart-warehousing'
        tracking_number:
          type: string
          description: Tracking number associated with the inbound shipment.
          example: tracking_number
      required:
        - expected_arrival_date
        - line_items
        - reference_id
      additionalProperties: false
      title: Smart Warehousing
    CreatewmsReturn--Stord--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        order_id:
          type: string
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: null
              quantity: 0
              return_reason: null
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItem'
        ship_from_address:
          $ref: '#/components/schemas/ShipFromAddressStord'
        external_tracking_number:
          type: string
          description: >-
            Tracking number from an externally-generated return label. Requires
            carrier_name and warehouse_id.
          example: 1Z999AA10123456784
        carrier_name:
          type: string
          description: >-
            Carrier for an externally-generated return label. Required when
            external_tracking_number is set.
          example: UPS
        warehouse_id:
          type: string
          enum:
            - N/A - Connect an account to see options
          description: >-
            The ID of the warehouse receiving the return. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse
        external_return_id:
          type: string
          description: >-
            External identifier for the return; must be unique within the
            network.
          example: external-return-123
      required:
        - line_items
        - order_id
        - ship_from_address
      additionalProperties: false
      title: Stord
    CreatewmsReturn--Whiplash__-_Ryder_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        order_id:
          type: string
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
        requires_label:
          type: boolean
          description: Whether or not a label is required.
          example: true
        carrier_id:
          type: string
          default: Whiplash
          description: The carrier for the return. Defaults to 'Whiplash'.
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - sku: sku
              expected_quantity: 0
              return_reason: null
              return_action: null
          items:
            $ref: '#/components/schemas/WmsReturnWriteLineItemwhiplash'
        tracking_number:
          type: string
          description: ''
        notes:
          type: array
          description: List of notes associated with the return.
          example:
            - note_1
            - note_2
          items:
            type: string
            description: A note associated with the return.
            example: note
        reference:
          type: string
          description: >-
            Purchase order number or other human readable token to another
            system
          example: reference
        sender:
          type: string
          description: The customer's name
          example: sender
      required:
        - requires_label
      additionalProperties: false
      title: Whiplash (Ryder)
    CreateReturnResponseDataSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the return.
          example: return_id
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the return. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        created_date:
          type: string
          format: date-time
          description: The date the return was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the return was last updated.
          example: '2022-01-02T05:05:05Z'
        status:
          type: string
          enum:
            - open
            - in-transit
            - receiving
            - received
            - cancelled
            - other
          description: >-
            The status of the return. See the [return information](info) for
            more details.
          example: open
        raw_status:
          type:
            - string
            - 'null'
          description: The raw status (if available) returned directly from the WMS.
          example: raw_status
        order_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the order that the return is associated with. Can be
            passed into the [Order](/api-reference/wms-api/orders/get-item)
            endpoint for more details.
          example: order_id
        notes:
          type: array
          description: A list of notes associated with the return.
          example:
            - This is a note
          items:
            type: string
            description: This is a note
        line_items:
          type: array
          description: A list of inventory items included in the return.
          example:
            - inventory_item_id: item_id
              sku: sku
              expected_quantity: 1
              received_quantity: 1
              restocked_quantity: 1
              return_reason: Too Small
          items:
            $ref: '#/components/schemas/WmsReturnLineItem'
        shipments:
          type: array
          description: List of the shipments associated with the return.
          example: []
          items:
            $ref: '#/components/schemas/ReturnShipment'
        external_system_url:
          type:
            - string
            - 'null'
          description: URL link to the return in the external system (WMS/Freight etc).
          example: https://example.com/return/123
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        additional_fields:
          type: object
          description: Integration-specific fields
          example:
            key: value
          additionalProperties: {}
        trackstar_created_date:
          type: string
          format: date-time
          description: ''
        trackstar_updated_date:
          type: string
          format: date-time
          description: ''
      required:
        - additional_fields
        - created_date
        - external_system_url
        - id
        - line_items
        - notes
        - order_id
        - raw_status
        - shipments
        - status
        - trackstar_created_date
        - trackstar_tags
        - trackstar_updated_date
        - updated_date
        - warehouse_customer_id
      additionalProperties: false
      title: CreateReturnResponseDataSchema
    CreateWmsReturnLineItemSchema:
      type: object
      properties:
        sku:
          type: string
          description: ''
          example: sku
        expected_quantity:
          type: integer
          description: ''
          example: 1
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: CreateWmsReturnLineItemSchema
    WmsReturnWriteLineItembleckmann:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItembleckmann
    WmsReturnWriteLineItembluebox:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: Total quantity expected to be returned.
          example: 0
        return_reason:
          type: string
          description: The reason for the return.
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItembluebox
    ReturnShipToAddressCirro:
      type: object
      properties:
        full_name:
          type: string
          description: ''
          example: John Doe
        address1:
          type: string
          description: ''
          example: 123 Main St
        address2:
          type: string
          description: ''
          example: Apt 2
        city:
          type: string
          description: ''
          example: San Francisco
        state:
          type: string
          description: ''
          example: CA
        postal_code:
          type: string
          description: ''
          example: '94105'
        country:
          type: string
          description: ''
          example: United States
      required:
        - address1
        - city
        - country
        - full_name
        - postal_code
        - state
      additionalProperties: false
      title: ReturnShipToAddressCirro
    WmsReturnWriteLineItemcirro:
      type: object
      properties:
        sku:
          type: string
          description: ''
        platform_name:
          type: string
          enum:
            - AMAZON
            - SHOPIFY
            - EBAY
            - WOOCOMERCE
            - TIKTOK_SHOP
            - WALMART
            - SHEIN
            - EASYSHIP
            - IML
            - LINNWORKS
            - PRESTASHOP
            - SKUBANA
            - ETSY
            - MINTSOFT
            - CHANNELADVISOR
            - SPSCOMMERCE
            - SHIPSTATION
            - SPRING
            - WIX
            - ECWID
            - SQUARESPACE
            - BIGCOMMERCE
            - MAGENTO
            - CART.COM
            - CHORD
            - XCART
            - ACENDA
            - COMMERCETOOLS
            - VTEX
            - SELLERACTIVE
            - WAYFAIR
            - MIRAKL
            - HOUZZ
            - APPARELMAGIC
            - SALESFORCE
            - SQUARE
          description: >-
            The name of the platform from which the sku originates. If provided,
            will be used to find the Cirro SKU.
          example: SHOPIFY
        expected_quantity:
          type: integer
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemcirro
    ShipToAddressDcl:
      type: object
      properties:
        full_name:
          type: string
          description: ''
          example: John Doe
        company:
          type: string
          description: ''
          example: Company
        address1:
          type: string
          description: ''
          example: 123 Main St
        address2:
          type: string
          description: ''
          example: Apt 2
        city:
          type: string
          description: ''
          example: San Francisco
        state:
          type: string
          description: ''
          example: CA
        postal_code:
          type: string
          description: ''
          example: '94105'
        country:
          type: string
          description: ''
          example: United States
      required:
        - address1
        - city
        - country
        - postal_code
        - state
      additionalProperties: false
      title: ShipToAddressDcl
    WmsReturnWriteLineItemdcl:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemdcl
    ReturnShipToAddressDeposco:
      type: object
      properties:
        full_name:
          type: string
          description: ''
          example: John Doe
        address1:
          type: string
          description: ''
          example: 123 Main St
        address2:
          type: string
          description: ''
          example: Apt 2
        city:
          type: string
          description: ''
          example: San Francisco
        state:
          type: string
          description: ''
          example: CA
        postal_code:
          type: string
          description: ''
          example: '94105'
        country:
          type: string
          description: ''
          example: United States
      required:
        - address1
        - city
        - country
        - postal_code
        - state
      additionalProperties: false
      title: ReturnShipToAddressDeposco
    WmsReturnWriteLineItemdeposco:
      type: object
      properties:
        sku:
          type: string
          description: The SKU of the product to return.
        inventory_item_id:
          type: string
          description: Deprecated. Use `sku` instead.
        expected_quantity:
          type: integer
          description: ''
          example: 0
      required:
        - expected_quantity
      additionalProperties: false
      title: WmsReturnWriteLineItemdeposco
    WmsReturnWriteLineItemextensiv-3pl-central:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemextensiv-3pl-central
    WmsReturnWriteLineItemflexport:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemflexport
    ReturnAddressFlexport:
      type: object
      properties:
        full_name:
          type: string
          description: ''
          example: John Doe
        company:
          type: string
          description: ''
          example: Company
        address1:
          type: string
          description: ''
          example: 123 Main St
        address2:
          type: string
          description: ''
          example: Apt 2
        city:
          type: string
          description: ''
          example: San Francisco
        state:
          type: string
          description: ''
          example: CA
        postal_code:
          type: string
          description: ''
          example: '94105'
        country:
          type: string
          description: ''
          example: United States
      required:
        - address1
        - city
        - country
        - full_name
        - postal_code
        - state
      additionalProperties: false
      title: ReturnAddressFlexport
    WmsReturnCreateLineItemi-fulfilment:
      type: object
      properties:
        sku:
          type: string
          description: The SKU of the item.
        expected_quantity:
          type: integer
          minimum: 1
          description: The expected quantity to return.
          example: 0
        quantity:
          type: integer
          minimum: 1
          description: Use `expected_quantity` instead.
          example: 0
        action:
          type: string
          enum:
            - refund
            - exchange
            - stock
          description: The return action.
        return_reason:
          type: string
          enum:
            - Size and fit - too large
            - Size and fit - too small
            - Size and fit - doesn't fit well
            - Design - colour
            - Quality - faulty
            - Quality - poor quality
            - Ordering - multi purchase for size trial
            - Ordering - wrong item delivered
            - Ordering - no longer required
            - Other - please specify
          description: The reason for the return.
        description:
          type: string
          description: The description of why the return is being created.
      required:
        - action
        - return_reason
        - sku
      additionalProperties: false
      title: WmsReturnCreateLineItemi-fulfilment
    WriteSupplierSchema:
      type: object
      properties: {}
      additionalProperties: false
      oneOf:
        - $ref: '#/components/schemas/SupplierId'
        - $ref: '#/components/schemas/WriteSupplierName'
      discriminator:
        propertyName: type
        mapping:
          id:
            $ref: '#/components/schemas/SupplierId'
          name:
            $ref: '#/components/schemas/WriteSupplierName'
      title: WriteSupplierSchema
    WmsReturnWriteLineIteminfoplus:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineIteminfoplus
    WmsReturnWriteLineItemjazz-central:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
        return_reason:
          type: string
          enum:
            - N/A - Connect an account to see options
          description: ''
      required:
        - expected_quantity
        - return_reason
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemjazz-central
    WmsReturnWriteLineItemlinnworks:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
        return_reason:
          type: string
          description: ''
        exchange_items:
          type: array
          description: A list of items to exchange for this line item
          example:
            - sku: sku123
              quantity: 1
          items:
            $ref: '#/components/schemas/ExchangeItemSchema'
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemlinnworks
    WmsReturnWriteLineItemlogiwa:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemlogiwa
    WmsReturnWriteLineItemlogiwa-io:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemlogiwa-io
    ShipFromAddressMasonhub:
      type: object
      properties:
        full_name:
          type: string
          description: ''
          example: John Doe
        address1:
          type: string
          description: ''
          example: 123 Main St
        address2:
          type: string
          description: ''
          example: Apt 2
        city:
          type: string
          description: ''
          example: San Francisco
        state:
          type: string
          description: ''
          example: CA
        postal_code:
          type: string
          description: ''
          example: '94105'
        country:
          type: string
          description: ''
          example: United States
      required:
        - address1
        - city
        - country
        - full_name
        - postal_code
        - state
      additionalProperties: false
      title: ShipFromAddressMasonhub
    WmsReturnWriteLineItemmasonhub:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
        return_reason:
          type: string
          enum:
            - tooBig
            - tooSmall
            - damaged
            - wrongItem
            - other
          description: Customer supplied reason code for this return
        return_inventory_status:
          type: string
          default: qc
          enum:
            - available
            - qc
            - damaged
            - quarantine
          description: The inventory status to return the units into.
      required:
        - expected_quantity
        - return_reason
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemmasonhub
    WmsReturnWriteLineItemmintsoft:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
        return_reason:
          type: string
          description: The reason for the return.
          example: Faulty or Damaged
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemmintsoft
    WmsReturnWriteLineItemnimble:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemnimble
    WmsReturnWriteLineItemnri:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
        return_reason:
          type: string
          description: >-
            The NRI reason code for the return line. Client-configured in NRI
            (e.g. 'RR').
        ra_line_action_code:
          type: string
          description: The NRI line action code. Client-configured in NRI (e.g. 'UN').
      required:
        - expected_quantity
        - ra_line_action_code
        - return_reason
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemnri
    WmsReturnWriteLineItemongoing:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
        return_cause:
          $ref: '#/components/schemas/ReturnCause'
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemongoing
    WmsReturnWriteLineItemquiet:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
        return_reason:
          type: string
          default: No reason provided
          description: ''
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemquiet
    WmsReturnWriteLineItemsandbox:
      type: object
      properties:
        sku:
          type: string
          enum:
            - N/A - Connect an account to see options
          description: sku
          example: XS-RED-SHIRT
        expected_quantity:
          type: integer
          description: ''
          example: 1
        return_reason:
          type: string
          description: The reason for the return.
          example: damaged
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemsandbox
    WmsReturnWriteLineItemshipbob:
      type: object
      properties:
        inventory_item_id:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
      required:
        - expected_quantity
        - inventory_item_id
      additionalProperties: false
      title: WmsReturnWriteLineItemshipbob
    WmsReturnWriteLineItemshipedge:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemshipedge
    FromAddressShiphero:
      type: object
      properties:
        full_name:
          type: string
          description: ''
          example: John Doe
        address1:
          type: string
          description: ''
          example: 123 Main St
        city:
          type: string
          description: ''
          example: San Francisco
        state:
          type: string
          description: ''
          example: CA
        postal_code:
          type: string
          description: ''
          example: '94105'
        country:
          type: string
          description: ''
          example: United States
      required:
        - address1
        - city
        - country
        - full_name
        - postal_code
        - state
      additionalProperties: false
      title: FromAddressShiphero
    WmsReturnWriteLineItemshiphero:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
        return_reason:
          type: string
          description: ''
      required:
        - expected_quantity
        - return_reason
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemshiphero
    Dimensions:
      type: object
      properties:
        length:
          type: integer
          description: ''
          example: 0
        width:
          type: integer
          description: ''
          example: 0
        height:
          type: integer
          description: ''
          example: 0
        unit:
          type: string
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the return.
          example: in
        weight:
          type: number
          description: ''
          example: 0
        weight_unit:
          type: string
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the return.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: Dimensions
    WmsReturnWriteLineItemshipmonk:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
        desired_action:
          type: string
          enum:
            - received_back_into_inventory
            - damaged_not_resellable
          description: Desired action for the returned item.
      required:
        - desired_action
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemshipmonk
    WmsReturnWriteLineItemshippingbo:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemshippingbo
    WmsReturnWriteLineItemshipstream:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemshipstream
    WmsReturnWriteLineItemshipwire:
      type: object
      properties:
        sku:
          type: string
          description: ''
        expected_quantity:
          type: integer
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemshipwire
    WmsReturnWriteLineItemsmart-warehousing:
      type: object
      properties:
        sku:
          type: string
          description: sku
          example: sku
        expected_quantity:
          type: integer
          description: ''
          example: 0
      required:
        - expected_quantity
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemsmart-warehousing
    WmsReturnWriteLineItem:
      type: object
      properties:
        sku:
          type: string
          description: ''
        quantity:
          type: integer
          description: ''
          example: 0
        return_reason:
          type: string
          description: ''
      required:
        - quantity
        - return_reason
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItem
    ShipFromAddressStord:
      type: object
      properties:
        full_name:
          type: string
          description: ''
          example: John Doe
        address1:
          type: string
          description: ''
          example: 123 Main St
        address2:
          type: string
          description: ''
          example: Apt 2
        city:
          type: string
          description: ''
          example: San Francisco
        state:
          type: string
          description: ''
          example: CA
        postal_code:
          type: string
          description: ''
          example: '94105'
        country:
          type: string
          description: ''
          example: United States
      required:
        - address1
        - address2
        - city
        - country
        - full_name
        - postal_code
        - state
      additionalProperties: false
      title: ShipFromAddressStord
    WmsReturnWriteLineItemwhiplash:
      type: object
      properties:
        sku:
          type: string
          description: ''
          example: sku
        expected_quantity:
          type: integer
          description: ''
          example: 0
        return_reason:
          type: string
          enum:
            - Did not fit
            - Defective
            - Ordered wrong item
            - Wrong item sent
            - Unexpected/Additional Item
            - Item not as expected
            - Unclaimed/Undeliverable
            - Other
          description: ''
        return_action:
          type: string
          enum:
            - requires_attention
            - exchange
            - refund
            - credit
            - unknown
            - no_action_required
          description: ''
      required:
        - expected_quantity
        - return_action
        - return_reason
        - sku
      additionalProperties: false
      title: WmsReturnWriteLineItemwhiplash
    WmsReturnLineItem:
      type: object
      properties:
        inventory_item_id:
          type: string
          description: >-
            Can be passed into the
            [Inventory](/api-reference/wms-api/inventory/get-item) endpoint for
            more details.
          example: item_id
        sku:
          type:
            - string
            - 'null'
          description: ''
          example: sku
        expected_quantity:
          type: integer
          description: How many units are expected to arrive.
          example: 1
        received_quantity:
          type: integer
          description: How many units actually arrived.
          example: 1
        restocked_quantity:
          type:
            - integer
            - 'null'
          description: The number of returned inventory items that have been restocked.
          example: 1
        return_reason:
          type:
            - string
            - 'null'
          description: The reason for the return.
          example: Too Small
      required:
        - expected_quantity
        - inventory_item_id
        - received_quantity
        - restocked_quantity
        - return_reason
        - sku
      additionalProperties: false
      title: WmsReturnLineItem
    ReturnShipment:
      type: object
      properties:
        tracking_number:
          type:
            - string
            - 'null'
          description: The tracking number of the shipment.
        shipped_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The date the shipment was sent.
        arrived_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The date the shipment arrived.
        warehouse_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the warehouse the shipment was sent to. Can be passed into
            the [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint
            for more details.
          example: warehouse_id
        carrier_id:
          type:
            - string
            - 'null'
          description: The ID of the carrier for the shipment.
          example: carrier_id
        carrier_name:
          type:
            - string
            - 'null'
          description: The name of the carrier for the shipment.
          example: carrier_name
        scac:
          type:
            - string
            - 'null'
          description: The Standard Carrier Alpha Code (SCAC) for the shipment.
          example: FDXG
        shipping_cost:
          type:
            - number
            - 'null'
          description: The cost of the shipment.
          example: 0
        measurements:
          $ref: '#/components/schemas/ShipmentMeasurements'
        line_items:
          type: array
          description: List of inventory items items in the shipment.
          items:
            $ref: '#/components/schemas/ReturnShipmentLineItem'
      required:
        - arrived_date
        - carrier_id
        - carrier_name
        - line_items
        - measurements
        - scac
        - shipped_date
        - shipping_cost
        - tracking_number
        - warehouse_id
      additionalProperties: false
      title: ReturnShipment
    SupplierId:
      type: object
      properties:
        supplier_id:
          type: string
          description: The ID of the supplier.
          example: supplier_id
      required:
        - supplier_id
      additionalProperties: false
      title: SupplierId
    WriteSupplierName:
      type: object
      properties:
        supplier_name:
          type: string
          description: >-
            The name of the supplier. If supplier ID is provided, that will take
            precedence over this.
          example: supplier_name
      required:
        - supplier_name
      additionalProperties: false
      title: WriteSupplierName
    ExchangeItemSchema:
      type: object
      properties:
        sku:
          type: string
          description: SKU of the item to exchange for
        quantity:
          type: integer
          description: Quantity of the item to exchange for
          example: 0
      required:
        - quantity
        - sku
      additionalProperties: false
      title: ExchangeItemSchema
    ReturnCause:
      type: object
      properties:
        code:
          type: string
          enum:
            - N/A
          description: The reason code for this return.
        return_reason:
          type:
            - string
            - 'null'
          enum:
            - Connect an account to get return causes.
          description: The reason description for this return.
      required:
        - code
      additionalProperties: false
      title: ReturnCause
    ShipmentMeasurements:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the shipment.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the shipment.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ShipmentMeasurements
    ReturnShipmentLineItem:
      type: object
      properties:
        inventory_item_id:
          type: string
          description: >-
            Can be passed into the
            [Inventory](/api-reference/wms-api/inventory/get-item) endpoint for
            more details.
          example: item_id
        sku:
          type:
            - string
            - 'null'
          description: ''
          example: sku
        quantity:
          type: integer
          description: How many units were shipped.
          example: 1
        receiving_details:
          type: array
          description: Details about received items in the shipment.
          example:
            - quantity: 1
              condition: good
              disposition: restocked
          items:
            $ref: '#/components/schemas/ReceivingDetails'
      required:
        - inventory_item_id
        - quantity
        - receiving_details
        - sku
      additionalProperties: false
      title: ReturnShipmentLineItem
    ReceivingDetails:
      type: object
      properties:
        quantity:
          type: integer
          description: How many units were received in this condition and disposition.
          example: 1
        condition:
          type:
            - string
            - 'null'
          description: The condition of the item received.
          example: good
        disposition:
          type:
            - string
            - 'null'
          description: The disposition of the item received, eg restocked or discarded.
          example: restocked
      required:
        - condition
        - disposition
        - quantity
      additionalProperties: false
      title: ReceivingDetails

````